<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
<!-- NewPage -->
<html lang="en">
<head>
<!-- Generated by javadoc (1.8.0_241) on Mon Jun 01 22:47:20 CEST 2020 -->
<title>TvShow</title>
<meta name="date" content="2020-06-01">
<link rel="stylesheet" type="text/css" href="../../../stylesheet.css" title="Style">
<script type="text/javascript" src="../../../script.js"></script>
</head>
<body>
<script type="text/javascript"><!--
    try {
        if (location.href.indexOf('is-external=true') == -1) {
            parent.document.title="TvShow";
        }
    }
    catch(err) {
    }
//-->
var methods = {"i0":10,"i1":10,"i2":10,"i3":10};
var tabs = {65535:["t0","All Methods"],2:["t2","Instance Methods"],8:["t4","Concrete Methods"]};
var altColor = "altColor";
var rowColor = "rowColor";
var tableTab = "tableTab";
var activeTableTab = "activeTableTab";
</script>
<noscript>
<div>JavaScript is disabled on your browser.</div>
</noscript>
<!-- ========= START OF TOP NAVBAR ======= -->
<div class="topNav"><a name="navbar.top">
<!--   -->
</a>
<div class="skipNav"><a href="#skip.navbar.top" title="Skip navigation links">Skip navigation links</a></div>
<a name="navbar.top.firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../../../overview-summary.html">Overview</a></li>
<li><a href="package-summary.html">Package</a></li>
<li class="navBarCell1Rev">Class</li>
<li><a href="class-use/TvShow.html">Use</a></li>
<li><a href="package-tree.html">Tree</a></li>
<li><a href="../../../deprecated-list.html">Deprecated</a></li>
<li><a href="../../../index-files/index-1.html">Index</a></li>
<li><a href="../../../help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navList">
<li><a href="../../../com/app/beans/Show.html" title="class in com.app.beans"><span class="typeNameLink">Prev&nbsp;Class</span></a></li>
<li><a href="../../../com/app/beans/User.html" title="class in com.app.beans"><span class="typeNameLink">Next&nbsp;Class</span></a></li>
</ul>
<ul class="navList">
<li><a href="../../../index.html?com/app/beans/TvShow.html" target="_top">Frames</a></li>
<li><a href="TvShow.html" target="_top">No&nbsp;Frames</a></li>
</ul>
<ul class="navList" id="allclasses_navbar_top">
<li><a href="../../../allclasses-noframe.html">All&nbsp;Classes</a></li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_top");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
</div>
<div>
<ul class="subNavList">
<li>Summary:&nbsp;</li>
<li>Nested&nbsp;|&nbsp;</li>
<li><a href="#field.summary">Field</a>&nbsp;|&nbsp;</li>
<li><a href="#constructor.summary">Constr</a>&nbsp;|&nbsp;</li>
<li><a href="#method.summary">Method</a></li>
</ul>
<ul class="subNavList">
<li>Detail:&nbsp;</li>
<li><a href="#field.detail">Field</a>&nbsp;|&nbsp;</li>
<li><a href="#constructor.detail">Constr</a>&nbsp;|&nbsp;</li>
<li><a href="#method.detail">Method</a></li>
</ul>
</div>
<a name="skip.navbar.top">
<!--   -->
</a></div>
<!-- ========= END OF TOP NAVBAR ========= -->
<!-- ======== START OF CLASS DATA ======== -->
<div class="header">
<div class="subTitle">com.app.beans</div>
<h2 title="Class TvShow" class="title">Class TvShow</h2>
</div>
<div class="contentContainer">
<ul class="inheritance">
<li>java.lang.Object</li>
<li>
<ul class="inheritance">
<li><a href="../../../com/app/beans/Show.html" title="class in com.app.beans">com.app.beans.Show</a></li>
<li>
<ul class="inheritance">
<li>com.app.beans.TvShow</li>
</ul>
</li>
</ul>
</li>
</ul>
<div class="description">
<ul class="blockList">
<li class="blockList">
<dl>
<dt>All Implemented Interfaces:</dt>
<dd>java.io.Serializable, java.lang.Cloneable, java.lang.Comparable&lt;<a href="../../../com/app/beans/TvShow.html" title="class in com.app.beans">TvShow</a>&gt;, java.lang.Runnable</dd>
</dl>
<hr>
<br>
<pre>@Entity
public class <span class="typeNameLabel">TvShow</span>
extends <a href="../../../com/app/beans/Show.html" title="class in com.app.beans">Show</a>
implements java.lang.Comparable&lt;<a href="../../../com/app/beans/TvShow.html" title="class in com.app.beans">TvShow</a>&gt;, java.lang.Runnable</pre>
<div class="block">TvShow is a class that extends from Show, that it - it has attributes from
 Show as well as its own.</div>
<dl>
<dt><span class="simpleTagLabel">Author:</span></dt>
<dd>Joanna Bieganowska</dd>
<dt><span class="seeLabel">See Also:</span></dt>
<dd><a href="../../../serialized-form.html#com.app.beans.TvShow">Serialized Form</a></dd>
</dl>
</li>
</ul>
</div>
<div class="summary">
<ul class="blockList">
<li class="blockList">
<!-- =========== FIELD SUMMARY =========== -->
<ul class="blockList">
<li class="blockList"><a name="field.summary">
<!--   -->
</a>
<h3>Field Summary</h3>
<table class="memberSummary" border="0" cellpadding="3" cellspacing="0" summary="Field Summary table, listing fields, and an explanation">
<caption><span>Fields</span><span class="tabEnd">&nbsp;</span></caption>
<tr>
<th class="colFirst" scope="col">Modifier and Type</th>
<th class="colLast" scope="col">Field and Description</th>
</tr>
<tr class="altColor">
<td class="colFirst"><code>static java.util.Comparator&lt;<a href="../../../com/app/beans/TvShow.html" title="class in com.app.beans">TvShow</a>&gt;</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../com/app/beans/TvShow.html#RatingComparator">RatingComparator</a></span></code>
<div class="block">Customised sorting of TV show list (by ratings).</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>java.util.List&lt;<a href="../../../com/app/beans/TvShow.html" title="class in com.app.beans">TvShow</a>&gt;</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../com/app/beans/TvShow.html#tvShowList">tvShowList</a></span></code>
<div class="block">List of TV shows.</div>
</td>
</tr>
</table>
<ul class="blockList">
<li class="blockList"><a name="fields.inherited.from.class.com.app.beans.Show">
<!--   -->
</a>
<h3>Fields inherited from class&nbsp;com.app.beans.<a href="../../../com/app/beans/Show.html" title="class in com.app.beans">Show</a></h3>
<code><a href="../../../com/app/beans/Show.html#numberOfObjects">numberOfObjects</a>, <a href="../../../com/app/beans/Show.html#showId">showId</a>, <a href="../../../com/app/beans/Show.html#ShowRatingComparator">ShowRatingComparator</a></code></li>
</ul>
</li>
</ul>
<!-- ======== CONSTRUCTOR SUMMARY ======== -->
<ul class="blockList">
<li class="blockList"><a name="constructor.summary">
<!--   -->
</a>
<h3>Constructor Summary</h3>
<table class="memberSummary" border="0" cellpadding="3" cellspacing="0" summary="Constructor Summary table, listing constructors, and an explanation">
<caption><span>Constructors</span><span class="tabEnd">&nbsp;</span></caption>
<tr>
<th class="colOne" scope="col">Constructor and Description</th>
</tr>
<tr class="altColor">
<td class="colOne"><code><span class="memberNameLink"><a href="../../../com/app/beans/TvShow.html#TvShow-java.lang.Integer-java.lang.String-java.lang.String-java.lang.String-java.lang.String-java.lang.Integer-java.lang.Integer-java.lang.Integer-java.lang.Double-">TvShow</a></span>(java.lang.Integer&nbsp;showId,
      java.lang.String&nbsp;typeOfShow,
      java.lang.String&nbsp;genre,
      java.lang.String&nbsp;showTitle,
      java.lang.String&nbsp;realiseDate,
      java.lang.Integer&nbsp;tvShowId,
      java.lang.Integer&nbsp;averageEpisodeLength,
      java.lang.Integer&nbsp;numberOfSeasons,
      java.lang.Double&nbsp;tvShowRating)</code>
<div class="block">Parameterised constructor for creating TvShow object</div>
</td>
</tr>
</table>
</li>
</ul>
<!-- ========== METHOD SUMMARY =========== -->
<ul class="blockList">
<li class="blockList"><a name="method.summary">
<!--   -->
</a>
<h3>Method Summary</h3>
<table class="memberSummary" border="0" cellpadding="3" cellspacing="0" summary="Method Summary table, listing methods, and an explanation">
<caption><span id="t0" class="activeTableTab"><span>All Methods</span><span class="tabEnd">&nbsp;</span></span><span id="t2" class="tableTab"><span><a href="javascript:show(2);">Instance Methods</a></span><span class="tabEnd">&nbsp;</span></span><span id="t4" class="tableTab"><span><a href="javascript:show(8);">Concrete Methods</a></span><span class="tabEnd">&nbsp;</span></span></caption>
<tr>
<th class="colFirst" scope="col">Modifier and Type</th>
<th class="colLast" scope="col">Method and Description</th>
</tr>
<tr id="i0" class="altColor">
<td class="colFirst"><code>int</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../com/app/beans/TvShow.html#compareTo-com.app.beans.TvShow-">compareTo</a></span>(<a href="../../../com/app/beans/TvShow.html" title="class in com.app.beans">TvShow</a>&nbsp;tvShow)</code>
<div class="block">Default sorting of TV show list based on id.</div>
</td>
</tr>
<tr id="i1" class="rowColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../com/app/beans/TvShow.html#run--">run</a></span>()</code>
<div class="block">Overridden method implemented from runnable interface.</div>
</td>
</tr>
<tr id="i2" class="altColor">
<td class="colFirst"><code>java.lang.String</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../com/app/beans/TvShow.html#toString--">toString</a></span>()</code>
<div class="block">toString method to display TvShow object.</div>
</td>
</tr>
<tr id="i3" class="rowColor">
<td class="colFirst"><code>java.lang.Double</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../com/app/beans/TvShow.html#totalSeriesLength-com.app.beans.TvShow-">totalSeriesLength</a></span>(<a href="../../../com/app/beans/TvShow.html" title="class in com.app.beans">TvShow</a>&nbsp;tvShow)</code>
<div class="block">Method for calculating total length of series (value returned in hours).</div>
</td>
</tr>
</table>
<ul class="blockList">
<li class="blockList"><a name="methods.inherited.from.class.java.lang.Object">
<!--   -->
</a>
<h3>Methods inherited from class&nbsp;java.lang.Object</h3>
<code>equals, getClass, hashCode, notify, notifyAll, wait, wait, wait</code></li>
</ul>
</li>
</ul>
</li>
</ul>
</div>
<div class="details">
<ul class="blockList">
<li class="blockList">
<!-- ============ FIELD DETAIL =========== -->
<ul class="blockList">
<li class="blockList"><a name="field.detail">
<!--   -->
</a>
<h3>Field Detail</h3>
<a name="tvShowList">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>tvShowList</h4>
<pre>public&nbsp;java.util.List&lt;<a href="../../../com/app/beans/TvShow.html" title="class in com.app.beans">TvShow</a>&gt; tvShowList</pre>
<div class="block">List of TV shows.</div>
</li>
</ul>
<a name="RatingComparator">
<!--   -->
</a>
<ul class="blockListLast">
<li class="blockList">
<h4>RatingComparator</h4>
<pre>public static&nbsp;java.util.Comparator&lt;<a href="../../../com/app/beans/TvShow.html" title="class in com.app.beans">TvShow</a>&gt; RatingComparator</pre>
<div class="block">Customised sorting of TV show list (by ratings). Use of Comprator.</div>
</li>
</ul>
</li>
</ul>
<!-- ========= CONSTRUCTOR DETAIL ======== -->
<ul class="blockList">
<li class="blockList"><a name="constructor.detail">
<!--   -->
</a>
<h3>Constructor Detail</h3>
<a name="TvShow-java.lang.Integer-java.lang.String-java.lang.String-java.lang.String-java.lang.String-java.lang.Integer-java.lang.Integer-java.lang.Integer-java.lang.Double-">
<!--   -->
</a>
<ul class="blockListLast">
<li class="blockList">
<h4>TvShow</h4>
<pre>public&nbsp;TvShow(java.lang.Integer&nbsp;showId,
              java.lang.String&nbsp;typeOfShow,
              java.lang.String&nbsp;genre,
              java.lang.String&nbsp;showTitle,
              java.lang.String&nbsp;realiseDate,
              java.lang.Integer&nbsp;tvShowId,
              java.lang.Integer&nbsp;averageEpisodeLength,
              java.lang.Integer&nbsp;numberOfSeasons,
              java.lang.Double&nbsp;tvShowRating)</pre>
<div class="block">Parameterised constructor for creating TvShow object</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>showId</code> - ID of the show</dd>
<dd><code>typeOfShow</code> - type of show. Possible values: TV show, movie,
                             video.</dd>
<dd><code>genre</code> - Genre of show. Possible values are for example:
                             comedy, drama etc.</dd>
<dd><code>showTitle</code> - name of show.</dd>
<dd><code>realiseDate</code> - realiseDate is date of realise of show. In case
                             of video it is a date of video upload on Youtube.
                             In case of movies it is a date of first global
                             realise.</dd>
<dd><code>tvShowId</code> - ID of TV show</dd>
<dd><code>averageEpisodeLength</code> - Average length of episode in minutes.</dd>
<dd><code>numberOfSeasons</code> - Number of TV show seasons.</dd>
<dd><code>tvShowRating</code> - Rating of the TV show, scale 0-10</dd>
</dl>
</li>
</ul>
</li>
</ul>
<!-- ============ METHOD DETAIL ========== -->
<ul class="blockList">
<li class="blockList"><a name="method.detail">
<!--   -->
</a>
<h3>Method Detail</h3>
<a name="toString--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>toString</h4>
<pre>public&nbsp;java.lang.String&nbsp;toString()</pre>
<div class="block">toString method to display TvShow object.</div>
<dl>
<dt><span class="overrideSpecifyLabel">Overrides:</span></dt>
<dd><code><a href="../../../com/app/beans/Show.html#toString--">toString</a></code>&nbsp;in class&nbsp;<code><a href="../../../com/app/beans/Show.html" title="class in com.app.beans">Show</a></code></dd>
</dl>
</li>
</ul>
<a name="totalSeriesLength-com.app.beans.TvShow-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>totalSeriesLength</h4>
<pre>public&nbsp;java.lang.Double&nbsp;totalSeriesLength(<a href="../../../com/app/beans/TvShow.html" title="class in com.app.beans">TvShow</a>&nbsp;tvShow)</pre>
<div class="block">Method for calculating total length of series (value returned in hours).</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>tvShow</code> - object of TV show class</dd>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>lengthInHours length of the TV show in hours</dd>
</dl>
</li>
</ul>
<a name="compareTo-com.app.beans.TvShow-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>compareTo</h4>
<pre>public&nbsp;int&nbsp;compareTo(<a href="../../../com/app/beans/TvShow.html" title="class in com.app.beans">TvShow</a>&nbsp;tvShow)</pre>
<div class="block">Default sorting of TV show list based on id. Use of Comparable.</div>
<dl>
<dt><span class="overrideSpecifyLabel">Specified by:</span></dt>
<dd><code>compareTo</code>&nbsp;in interface&nbsp;<code>java.lang.Comparable&lt;<a href="../../../com/app/beans/TvShow.html" title="class in com.app.beans">TvShow</a>&gt;</code></dd>
</dl>
</li>
</ul>
<a name="run--">
<!--   -->
</a>
<ul class="blockListLast">
<li class="blockList">
<h4>run</h4>
<pre>public&nbsp;void&nbsp;run()</pre>
<div class="block">Overridden method implemented from runnable interface. It paralelly generated
 data with the use of threads.</div>
<dl>
<dt><span class="overrideSpecifyLabel">Specified by:</span></dt>
<dd><code>run</code>&nbsp;in interface&nbsp;<code>java.lang.Runnable</code></dd>
</dl>
</li>
</ul>
</li>
</ul>
</li>
</ul>
</div>
</div>
<!-- ========= END OF CLASS DATA ========= -->
<!-- ======= START OF BOTTOM NAVBAR ====== -->
<div class="bottomNav"><a name="navbar.bottom">
<!--   -->
</a>
<div class="skipNav"><a href="#skip.navbar.bottom" title="Skip navigation links">Skip navigation links</a></div>
<a name="navbar.bottom.firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../../../overview-summary.html">Overview</a></li>
<li><a href="package-summary.html">Package</a></li>
<li class="navBarCell1Rev">Class</li>
<li><a href="class-use/TvShow.html">Use</a></li>
<li><a href="package-tree.html">Tree</a></li>
<li><a href="../../../deprecated-list.html">Deprecated</a></li>
<li><a href="../../../index-files/index-1.html">Index</a></li>
<li><a href="../../../help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navList">
<li><a href="../../../com/app/beans/Show.html" title="class in com.app.beans"><span class="typeNameLink">Prev&nbsp;Class</span></a></li>
<li><a href="../../../com/app/beans/User.html" title="class in com.app.beans"><span class="typeNameLink">Next&nbsp;Class</span></a></li>
</ul>
<ul class="navList">
<li><a href="../../../index.html?com/app/beans/TvShow.html" target="_top">Frames</a></li>
<li><a href="TvShow.html" target="_top">No&nbsp;Frames</a></li>
</ul>
<ul class="navList" id="allclasses_navbar_bottom">
<li><a href="../../../allclasses-noframe.html">All&nbsp;Classes</a></li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_bottom");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
</div>
<div>
<ul class="subNavList">
<li>Summary:&nbsp;</li>
<li>Nested&nbsp;|&nbsp;</li>
<li><a href="#field.summary">Field</a>&nbsp;|&nbsp;</li>
<li><a href="#constructor.summary">Constr</a>&nbsp;|&nbsp;</li>
<li><a href="#method.summary">Method</a></li>
</ul>
<ul class="subNavList">
<li>Detail:&nbsp;</li>
<li><a href="#field.detail">Field</a>&nbsp;|&nbsp;</li>
<li><a href="#constructor.detail">Constr</a>&nbsp;|&nbsp;</li>
<li><a href="#method.detail">Method</a></li>
</ul>
</div>
<a name="skip.navbar.bottom">
<!--   -->
</a></div>
<!-- ======== END OF BOTTOM NAVBAR ======= -->
</body>
</html>
